Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Class MatchCollector.PairArrayMatchCollector

    java.lang.Object
      com.bbn.openmap.geo.MatchCollector.PairArrayMatchCollector

All Implemented Interfaces:
  MatchCollector

Enclosing class:
  MatchCollector

public static class MatchCollector.PairArrayMatchCollector
extends java.lang.Object
implements MatchCollector

A MatchCollector that collects a list of pairs of the matching objects

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.geo.MatchCollector
`MatchCollector.CollectionMatchCollector, MatchCollector.Pair, MatchCollector.PairArrayMatchCollector, MatchCollector.SetMatchCollector`

Field Summary
`protected java.util.ArrayList` | `result`

Constructor Summary
`MatchCollector.PairArrayMatchCollector()`

Method Summary
`void` | `collect(java.lang.Object a, java.lang.Object b)` collect an indication that the query object a (or some part of it) matches object b in some way, presumably by intersection.
`java.util.Iterator` | `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### result

    protected final java.util.ArrayList result

Constructor Detail

### MatchCollector.PairArrayMatchCollector

    public MatchCollector.PairArrayMatchCollector()

Method Detail

### collect

    public void collect(java.lang.Object a,
                        java.lang.Object b)

  Description copied from interface: `MatchCollector`
  collect an indication that the query object a (or some part of it) matches object b in some way, presumably by intersection.

  Specified by:
    `collect` in interface `MatchCollector`
  Parameters:
    `a` -
    `b` -

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `MatchCollector`
  Returns:
    an iterator over the previously collected elements *

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details